Bug 420791 - Probable gcc bug on 64-bit - diff -b or -t report differences on line with spaces
Probable gcc bug on 64-bit - diff -b or -t report differences on line with sp...
Status: CLOSED DUPLICATE of bug 363831
Product: Fedora
Classification: Fedora
Component: diffutils (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 19:38 EST by Jim Thomas
Modified: 2007-12-13 05:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 05:28:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
log file showing tests on "lapuwale" the 64-bit system and "aa" a 32-bit system (3.18 KB, text/plain)
2007-12-11 19:38 EST, Jim Thomas
no flags Details

  None (edit)
Description Jim Thomas 2007-12-11 19:38:49 EST
Description of problem:
diff -b and diff -w report differences on lines with only blanks on 64-bit processor

Version-Release number of selected component (if applicable):
diff 2.8.1
gcc (GCC) 4.1.2 20070925 (Red Hat 4.1.2-33)

How reproducible:
100%

Steps to Reproduce:
1. echo "     " > blanks
2. echo "" > empty
3. diff -b
4. diff -w
  
Actual results:
differences

Expected results:
no differences

Additional info:
Presumably a bug in gcc, actually :)
I recompiled diffutils 2.8.1 with the above gcc and that is better, but it still
shows differences for diff -t
NOTE - this is 2.6.23.1-42.fc8 on a 64-bit Q6700
see attachment
Comment 1 Jim Thomas 2007-12-11 19:38:49 EST
Created attachment 284841 [details]
log file showing tests on "lapuwale" the 64-bit system and "aa" a 32-bit system
Comment 2 Tim Waugh 2007-12-12 07:47:11 EST
This sounds suspiciously like bug #363831 which was fixed in an update.  Please
show me the output of 'rpm -q diffutils' so that I can rule that out.
Comment 3 Jim Thomas 2007-12-12 12:54:24 EST
We were running diffutils-2.8.1-17.fc8 .  yuming diffutils-2.8.1-19.fc8 made it
work.  Thank you! Jim
Comment 4 Tim Waugh 2007-12-13 05:28:48 EST

*** This bug has been marked as a duplicate of 363831 ***

Note You need to log in before you can comment on or make changes to this bug.